<?php

namespace App\Classes\Modules\Segments\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class ConstantObject implements DataTransferObject
{

    /** @var string */
    private $name;

    /** @var string */
    private $reference;

    /** @var array */
    private $detail;

    /**
     * ConstantObject constructor.
     * @param string $name
     * @param string $reference
     * @param array $detail
     */
    public function __construct(string $name, string $reference, array $detail)
    {
        $this->name = $name;
        $this->reference = $reference;
        $this->detail = $detail;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getReference(): string
    {
        return $this->reference;
    }

    /**
     * @return array
     */
    public function getDetail(): array
    {
        return $this->detail;
    }


}